/**
 * Misskey Entry Point!
 */ import { EventEmitter } from "node:events";
Error.stackTraceLimit = Infinity;
EventEmitter.defaultMaxListeners = 128;
const emitWarning = process.emitWarning;
process.emitWarning = (warning, ...args)=>{
    const code = (warning instanceof Error ? warning.code : undefined) ?? (typeof args[0] === "object" ? args[0]?.code : undefined) ?? (typeof args[1] === "string" ? args[1] : undefined);
    if (code === "DEP0040" || code === "DEP0060") return;
    return emitWarning.call(process, warning, ...args);
};
const { default: boot } = await import("./boot/index.js");
boot().catch((err)=>{
    console.error(err);
});
